Highcharts 中文社区

 找回密码
 立即注册
Highcharts 中文社区 门户 HC 学院 查看内容

Highcharts 在低版本 IE 上使用注意事项

2016-1-8 14:45| 发布者: 群大大| 查看: 3093| 评论: 0

摘要: Highcharts 在低版本 IE 上使用注意事项很多人经常遇到图表在主流浏览器上运行正常,在低版本IE(包括IE6、IE7、IE8等)下运行出错(图表显示不出来或显示不正常)的情况,这不是兼容性问题,而是 IE 浏览器自身的一 ...

Highcharts 在低版本 IE 上使用注意事项

很多人经常遇到图表在主流浏览器上运行正常,在低版本IE(包括IE6、IE7、IE8等)下运行出错(图表显示不出来或显示不正常)的情况,这不是兼容性问题,而是 IE 浏览器自身的一些限制,我们只需要注意一些事项即可避免这种情况。

注意事项:

1、使用合适的HTML 文档模式

html 文档模式指的是文件的第一行

在低版本 IE 中请使用 HTML 4 严格模式

 

参考内容:

2、多余逗号

IE 对 JavaScript 语法要求比较严格,数组或对象的最后一项有多余逗号时会报错,例如

 
$('#container').highcharts({
  series: [{
    data: [2, 4, 5, 7, 9]
  },{
    data: [{
        x: 20,
        y: 2323,     // 这里多余的逗号会导致在低版本 IE 下报错
    }]
  }]
});

请仔细检查你的配置,确保没有多余的逗号。

3、禁用 IE 安全模式

另外一个导致 Highcharts 在IE上显示不正常的常见问题是 IE的安全模式,这种情况一般发生在用作服务器的浏览器上(本地ok,在服务器上的IE访问则不行,例如在 Window Server 2008的电脑上),避免这种情况的方法是禁用 IE 安全模式,设置如下:

IE 浏览器 —》 “工具” —》“Internet 选项” —》“安全”

将安全级别调到最低并去掉“ 启用保护模式”勾选。

4、不要使用太高版本 jQuery

高版本jQuery 对IE兼容性不好,我们推荐使用 jQuery 1.8.3

 
 src="http://cdn.hcharts.cn/jquery/jquery-1.8.3.min.js">

小技巧

在html head 部分加如下代码可以让 IE 使用兼容性模式,这样可以让IE 尽可能以最高模式渲染文档。

参考资料:

另外,我们发布的版本都有对IE进行兼容性测试,请到我们官网下载最新版例子体验。

在线测试地址:

(PS:中文网主站并没有对 IE 做兼容性工作,所以在低版本IE下,中文网不可用,未来我们会改版)

5、对于 IE 兼容性研究不多(虽然是前端,但是工作内容完全无视IE),只能给出几个关键点:

1)、对于低版本 IE, 用正确的 html doctype,一般推荐使用 html4,即

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">

更多见:http://www.w3school.com.cn/tags/tag_doctype.asp

2)、强制使用兼容模式,也就是在 html 头部加

<meta http-equiv="X-UA-Compatible" content="IE=edge">

另外推荐看下这篇文章:http://www.cnblogs.com/nidilzhang/archive/2010/01/09/1642887.html


3

路过
1

雷人

握手

鲜花

鸡蛋

刚表态过的朋友 (4 人)

最新评论

返回顶部